
// **************************************
// Header Files
// **************************************

#include "drimode.h"

// **************************
// Class Declaration
// **************************

DriMode::DriMode(void)
{  // constructor
}

DriMode::~DriMode(void)
{  // destructor
}

DriMode::DriMode(const DriMode &dev)
{  // copy constructor

  modeEntry=dev.GetMode();
  modeComment=dev.GetModeComment();
  comments=dev.Comments();
}

DriMode& DriMode::operator=(const DriMode &dev)
{  // copy constructor

  Clear();

  modeEntry=dev.GetMode();
  modeComment=dev.GetModeComment();
  comments=dev.Comments();

  return(*this);
}

void DriMode::SetMode(const MyString& id, const MyString& com)
{  // set mode

  modeEntry=id;
  modeComment=com;
}

void DriMode::Clear(void)
{    // clear everything

  modeEntry.Empty();
  modeComment.Empty();
  comments.Clear();
}

const MyString& DriMode::GetMode(void) const
{  // return mode

  return(modeEntry);
}

const MyString& DriMode::GetModeComment(void) const
{  // return mode comment

  return(modeComment);
}

const StringArray& DriMode::Comments(void) const
{  // return comments
  return(comments);
}

StringArray& DriMode::Comments(void)
{  // return comments as reference
  return(comments);
}

const bool DriMode::Check(void) const
{  /// Check if everything has correct syntax.

  return(false); // nothing to check
}

