#ifndef DRIMODE_H
#define DRIMODE_H

// **************************************
// Header Files
// **************************************

#include "optionlist.h"
#include "stringarray.h"

// **************************
// Class Definition
// **************************

class DriMode
{
public:
  /// Constructor.
  DriMode(void);

  /// Copy Constructor.
  DriMode(const DriMode &dev);

  /// Destructor.
  ~DriMode(void);

  /// Assignment operator.
  DriMode& operator=(const DriMode &dev);

  /// Set dri mode and optional comment.
  void SetMode(const MyString& id, const MyString& com=MyString());  void AddComment(const MyString& com);

  /// Get dri mode.
  const MyString& GetMode(void) const;

  /// Get dri mode comment.
  const MyString& GetModeComment(void) const;

  /// Get comments.
  const StringArray& Comments(void) const;

  /// Get comments (as reference).
  StringArray& Comments(void);

  /// Clear everything.
  void Clear(void);

  /// Check if everything has correct syntax.
  /**
  * Return <b>true</b> if something is wrong else <b>false</b>.
  */
  const bool Check(void) const;

private:
  MyString modeEntry;
  MyString modeComment;
  StringArray comments;
};

#endif // DRIMODE_H
