
// **************************************
// Header Files
// **************************************

#include "extensionlist.h"
#include "mymessage.h"

// **************************
// Class Declaration
// **************************

ExtensionList::ExtensionList(void) : OptionList()
{  // constructor
}

ExtensionList::~ExtensionList(void)
{  // destructor
}

ExtensionList::ExtensionList(const ExtensionList &ext) : OptionList(ext)
{  // copy constructor

  comments=ext.Comments();
}

ExtensionList& ExtensionList::operator=(const ExtensionList &ext)
{  // copy constructor

  Clear(); // clear all

  OptionList::operator=(ext);
  comments=ext.Comments();

  return(*this);
}

void ExtensionList::Clear(void)
{    // clear everything

  OptionList::Clear();
  comments.Clear();
}

const StringArray& ExtensionList::Comments(void) const
{  // return comments
  return(comments);
}

StringArray& ExtensionList::Comments(void)
{  // return comments as reference
  return(comments);
}

const bool ExtensionList::Check(void)
{  /// Check if everything has correct syntax.

  if (OptionList::Check())
  {
    if (MyMessage::Get()==ERROR_CHECK_EMPTY_OPTION)
    {
      MyMessage::Set(ERROR_CHECK_EMPTY_EXTENSION, "ExtensionList::Check");
    }
    else if (MyMessage::Get()==ERROR_CHECK_SAME_OPTION)
    {
      MyMessage::Set(ERROR_CHECK_SAME_EXTENSION, "ExtensionList::Check");
    }
    else
    {
      MyMessage::Append("ExtensionList::Check");
    }
    return(true);
  }

  return(false);

}

