#ifndef EXTENSIONLIST_H
#define EXTENSIONLIST_H

// **************************************
// Header Files
// **************************************

#include "optionlist.h"
#include "stringarray.h"

// **************************
// Class Definition
// **************************

class ExtensionList : public OptionList
{
public:
  /// Constructor.
  ExtensionList(void);

  /// Copy Constructor.
  ExtensionList(const ExtensionList &ext);

  /// Destructor.
  ~ExtensionList(void);

  /// Assignment operator.
  ExtensionList& operator=(const ExtensionList &ext);

  /// Get comments.
  const StringArray& Comments(void) const;

  /// Get comments (as reference).
  StringArray& Comments(void);

  /// Clear everything.
  void Clear(void);

  /// Check if everything has correct syntax.
  /**
  * Return <b>true</b> if something is wrong else <b>false</b>.
  */
  const bool Check(void);

private:
  OptionList options;       // options
  StringArray comments;      // comment

};

#endif // EXTENSIONLIST_H
