// **************************************
// Header Files
// **************************************

#include "module.h"
#include "mymessage.h"

// **************************
// Class Declaration
// **************************

Module::Module(void) : Option()
{  // constructor
}

Module::Module(const MyString& opt, const MyString& val, const MyString& com, const bool act) : Option(opt, val, com, act)
{  // constructor
}

Module::Module(const Module &opt) : Option(opt)
{  // copy constructor

  options=opt.Options();
}

Module::~Module(void)
{  // destructor
}

Module& Module::operator=(const Module &opt)
{  // copy constructor

  // clear old entries
  Clear();

  Option::operator=(opt);
  options=opt.Options();

  return(*this);
}

const OptionList& Module::Options(void) const
{  // get options

  return(options);
}

OptionList& Module::Options(void)
{  // get options

  return(options);
}

void Module::Clear(void)
{  /// Delete all variables.
  Option::Clear();
  options.Clear();
}

const bool Module::Check(void)
{  /// Check if everything has correct syntax.

  if (name.IsEmpty())
  {
    MyMessage::Set(ERROR_CHECK_EMPTY_MODULE, "Module::Check");
    return(true);
  }

  if (options.Check())
  {
    if (MyMessage::Get()==ERROR_CHECK_EMPTY_OPTION)
    {
      MyMessage::Set(ERROR_CHECK_EMPTY_MODULE_OPTION, "Module::Check");
    }
    else if (MyMessage::Get()==ERROR_CHECK_SAME_OPTION)
    {
      MyMessage::Set(ERROR_CHECK_SAME_MODULE_OPTION, "Module::Check");
    }
    else
    {
      MyMessage::Append("Module::Check");
    }
    return(true);
  }

  return(false);
}

