// **************************************
// Module class definitions
// **************************************

#if !defined(MODULE_H)
#define MODULE_H

// **************************
// Headers
// **************************

#include "optionlist.h"
#include "mystring.h"

// **************************
// Module Class Definition
// **************************

class Module : public Option    // derived
{
public:
  /// Constructor.
  Module(void);

  /// Constructor.
  Module(const MyString& opt, const MyString& val=MyString(), const MyString& com=MyString(), const bool act=true);

  /// Copy Constructor.
  Module(const Module &opt);

  /// Destructor.
  ~Module(void);

  /// Assignment operator.
  Module& operator=(const Module &opt);

  /// Get options.
  const OptionList& Options(void) const;

  /// Get options (as reference).
  OptionList& Options(void);

  /// Delete all variables.
  void Clear(void);

  /// Check if everything has correct syntax.
  /**
  * Return <b>true</b> if something is wrong else <b>false</b>.
  */
  const bool Check(void);

private:
  OptionList options;
};

#endif // MODULE_H
