
// **************************************
// Header Files
// **************************************

#include "serverflaglist.h"
#include "mymessage.h"

// **************************
// Class Declaration
// **************************

ServerFlagList::ServerFlagList(void) : OptionList()
{  // constructor
}

ServerFlagList::~ServerFlagList(void)
{  // destructor
}

ServerFlagList::ServerFlagList(const ServerFlagList &ser) : OptionList(ser)
{  // copy constructor

  comments=ser.Comments();
}

ServerFlagList& ServerFlagList::operator=(const ServerFlagList &ser)
{  // copy constructor

  Clear(); // clear all

  OptionList::operator=(ser);
  comments=ser.Comments();

  return(*this);
}

void ServerFlagList::Clear(void)
{    // clear everything

  OptionList::Clear();
  comments.Clear();
}

const StringArray& ServerFlagList::Comments(void) const
{  // return comments
  return(comments);
}

StringArray& ServerFlagList::Comments(void)
{  // return comments as reference
  return(comments);
}

const bool ServerFlagList::Check(void)
{  /// Check if everything has correct syntax.

  if (OptionList::Check())
  {
    if (MyMessage::Get()==ERROR_CHECK_EMPTY_OPTION)
    {
      MyMessage::Set(ERROR_CHECK_EMPTY_SERVERFLAG, "ServerFlagList::Check");
    }
    else if (MyMessage::Get()==ERROR_CHECK_SAME_OPTION)
    {
      MyMessage::Set(ERROR_CHECK_SAME_SERVERFLAG, "ServerFlagList::Check");
    }
    else
    {
      MyMessage::Append("ServerFlagList::Check");
    }
    return(true);
  }

  return(false);

}


