#ifndef SERVERFLAGLIST_H
#define SERVERFLAGLIST_H

// **************************************
// Header Files
// **************************************

#include "optionlist.h"
#include "stringarray.h"

// **************************
// Class Definition
// **************************

class ServerFlagList : public OptionList
{
public:
  /// Constructor.
  ServerFlagList(void);

  /// Copy Constructor.
  ServerFlagList(const ServerFlagList &ser);

  /// Destructor.
  ~ServerFlagList(void);

  /// Assignment operator.
  ServerFlagList& operator=(const ServerFlagList &ser);

  /// Get comments.
  const StringArray& Comments(void) const;

  /// Get comments (as reference).
  StringArray& Comments(void);

  /// Clear everything.
  void Clear(void);

  /// Check if everything has correct syntax.
  /**
  * Return <b>true</b> if something is wrong else <b>false</b>.
  */
  const bool Check(void);

private:
  StringArray comments;     // comment

};

#endif // SERVERFLAGLIST_H
