// **************************************
// Textfile classes definitions
// **************************************

#if !defined(TEXTFILE_H)
#define TEXTFILE_H

// **************************
// Headers
// **************************

#include "stringarray.h"

// **************************
// TextFile Class
// **************************

class TextFile : public StringArray {

public:
  /// Load text file.
  /**
  * Return <b>true</b> if an error occured else <b>false</b>.
  */
  const bool Load(const MyString& filename);

  /// Save text file.
  /**
  * Return <b>true</b> if an error occured else <b>false</b>.
  */
  const bool Save(const MyString& filename);
  
  /// Append element as comment.
  void AppendComment(const MyString& value, const unsigned int numTabs=0);

  /// Append all elements from other array as comments.
  void AppendComment(const StringArray& array, const unsigned int numTabs=0);

  /// Append all elements from other array as comments.
  void AppendComment(const TextFile& array, const unsigned int numTabs=0);

  /// Set some line as comment.
  /**
  * Return <b>true</b> if an error occured else <b>false</b>.
  */
  const bool SetComment(const unsigned int index, const unsigned int numTabs=0);

};

#endif // !defined(TEXTFILE_H)
