#ifndef OPTIONWINDOW_H
#define OPTIONWINDOW_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/string.h>
#include "../libxorgedit/driveroptionlist.h"

// **************************
// Class Definition
// **************************

class OptionWindow : public wxScrolledWindow
{
public:
  OptionWindow();
  OptionWindow(wxWindow *parent, wxTextCtrl *descCtrl, DriverOptionList& list, const wxSize& size=wxDefaultSize);
  virtual ~OptionWindow();

  void OnOK(wxCommandEvent& event);
  void OnChangeOption(wxCommandEvent& event);
  void EnterOptionValue(wxCommandEvent& event);
  void SelectOptionValue(wxCommandEvent& event);

private:
  wxComboBox **defaultPointer;
  DriverOptionList *optionPointer;
  wxTextCtrl *optionDesc;

  DECLARE_DYNAMIC_CLASS(OptionWindow)

  // **************************
  // Constants
  // **************************

  // IDs for the controls and the menu commands
  enum OptionDialogID
  {
    CHECKBOX_ID=1000,
  };

};

#endif // OPTIONWINDOW_H
