#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/dialog.h>
#include <wx/string.h>
#include "libxorgedit/settings.h"

// **************************
// Constants
// **************************

// **************************
// Class Definition
// **************************

class SettingsDialog : public wxDialog
{
public:
  SettingsDialog(wxWindow* parent, const wxString& title, Settings& settings);
  virtual ~SettingsDialog();

  // buttons
  void OnOK(wxCommandEvent& event);
  void OnChangeOptionDir(wxCommandEvent& event);

private:
  wxCheckBox *checkSaveSettings;
  wxCheckBox *checkLoadLast;
  wxCheckBox *checkShowSplash;
  wxCheckBox *checkShowBlank;
  wxCheckBox *checkRememberTest;
  wxTextCtrl *optDir;

  Settings *pointer;          // pointer to settings

  DECLARE_EVENT_TABLE();

  // IDs for the controls
  enum settingsDialogID
  {
    BUTTON_SETTINGS_CHANGEOPTDIR,
  };
};

#endif // SETTINGSDIALOG_H
