// **************************************
// Header Files
// **************************************

#include "textframe.h"

// **************************
// Class Declaration
// **************************

TextFrame::TextFrame(wxWindow* parent, const wxString& title, const TextFile& text, const long& style) : wxDialog(parent, -1, title, wxDefaultPosition, wxDefaultSize, style)
{
  wxBoxSizer *gridSizer = new wxBoxSizer(wxVERTICAL);

  textField=new wxTextCtrl(this, -1, wxEmptyString, wxDefaultPosition, wxSize(600,400), wxTE_MULTILINE | wxTE_READONLY | wxTE_DONTWRAP );
  wxButton *butOK=new wxButton(this, wxID_OK, _T("OK"));

  gridSizer->Add(textField, 1, wxEXPAND | wxALL | wxALIGN_CENTER_HORIZONTAL, 3);            // add notebook layout
  gridSizer->Add(butOK, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);
  SetSizerAndFit(gridSizer);         // sets the sizer

  for (unsigned int i=0; i<text.GetSize(); i++)
  {
    textField->AppendText(wxString::FromAscii(text(i).data()));
    textField->AppendText(_T("\n"));
  }

}

TextFrame::TextFrame(wxWindow* parent, const wxString& title, const wxArrayString& text, const long& style) : wxDialog(parent, -1, title, wxDefaultPosition, wxDefaultSize, style)
{
  wxBoxSizer *gridSizer = new wxBoxSizer(wxVERTICAL);

  textField=new wxTextCtrl(this, -1, wxEmptyString, wxDefaultPosition, wxSize(600,400), wxTE_MULTILINE | wxTE_READONLY | wxTE_DONTWRAP );
  wxButton *butOK=new wxButton(this, wxID_OK, _T("OK"));

  gridSizer->Add(textField, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);            // add notebook layout
  gridSizer->Add(butOK, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 3);
  SetSizerAndFit(gridSizer);         // sets the sizer

  for (unsigned int i=0; i<text.GetCount(); i++)
  {
    textField->AppendText(text[i]);
    textField->AppendText(_T("\n"));
  }

}


TextFrame::~TextFrame()  // destructor
{}

void TextFrame::AppendText(const wxString& text)
{  // appends text to the control

  textField->AppendText(text);
}

void TextFrame::AddLine(const wxString& text)
{  // appends text to the control and breaks the line

  textField->AppendText(text);
  textField->AppendText(_T("\n"));
}

