#ifndef TEXTFRAME_H
#define TEXTFRAME_H

// **************************************
// Header Files
// **************************************

#include <wx/wx.h>
#include <wx/dialog.h>
#include <wx/string.h>
#include "libxorgedit/textfile.h"

// **************************
// Class Definition
// **************************

class TextFrame: public wxDialog
{
public:
  TextFrame(wxWindow* parent, const wxString& title, const TextFile& text, const long& style=wxDEFAULT_DIALOG_STYLE | wxMAXIMIZE_BOX | wxMINIMIZE_BOX | wxRESIZE_BORDER);
  TextFrame(wxWindow* parent, const wxString& title, const wxArrayString& text, const long& style=wxDEFAULT_DIALOG_STYLE | wxMAXIMIZE_BOX | wxMINIMIZE_BOX | wxRESIZE_BORDER);
  virtual ~TextFrame();

  void AppendText(const wxString& text);  // appends text to the control
  void AddLine(const wxString& text);     // appends text to the control and breaks the line

private:
  wxTextCtrl *textField;

};

#endif // TEXTFRAME_H
